Get the ISIC4 classification tree
GET
https://api.textreveal.com/v3/isic
Request
Parameters
languagelanguage-code (enum)Language code for the response (e.g.
Values: "af", "afr", "afrikaans", "albanian", "am", "amh", "amharic", "ar", "ara", "arabic", "armenian", "az", "aze", "azerbaijani", "ben", "bengali", "bg", "bn", "bos", "bosnian", "bs", "bul", "bulgarian", "ca", "cat", "catalan", "chinese"...fr,french). Defaults to English.
Response
Response
[
{
"code": "A",
"description": "Agriculture, forestry and fishing",
"values": [
{
"code": "01",
"description": "Crop and animal production, hunting and related service activities",
"values": [
{
"code": "011",
"description": "Growing of non-perennial crops",
"values": [
{
"code": "0111",
"description": "Growing of cereals (except rice), leguminous crops and oil seeds"
}
]
}
]
}
]
}
]Error
Bad request
message*stringError message.
Example: "Check the errors field for more details"code*number (enum)Error code.
Values: 400reason*string (enum)Error reason.
Values: "invalid"errorsobject[]Possible error causes.
Response
{
"message": "Check the errors field for more details",
"code": 400,
"reason": "invalid",
"errors": [
{
"message": "string",
"field": "language",
"reason": "invalid_type"
}
]
}Generic errors are not shown, see Errors for more details.